<?php
include "../ver_sessao.php";
include "../conecta.php";

function layout_relatorio(){
	
	if( $_POST[data1] ) 
		$extra .= " AND comp_tx_dataFinaliza>='".gera_data($_POST[data1],1)." 00:00:00'";
	if( $_POST[data2] ) 
		$extra .= " AND comp_tx_dataFinaliza<='".gera_data($_POST[data2],1)." 23:59:00'";
	if( $_POST[produto] ){
		$extra .= " AND prod_nb_id = '$_POST[produto]'";
		$produto = carregar('produto',"$_POST[produto]");
	}
		
	cabecaRelatorio('Histórico de Compra por Produto');
	
	cactux::abre_form();
	
	$c[] = cactux::texto('Data Inicial:',$_POST[data1]);
	$c[] = cactux::texto('Data Final:',$_POST[data2]);
	$c[] = cactux::texto('Produto:',$produto[prod_tx_nome]);
	
	
	cactux::abre_fieldset('Informações do Relatório');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	
	$cabecalho[] = array('','DATA','PRODUTO','FORNECEDOR','SETOR','QUANTIDADE','VALOR UNITÁRIO','VALOR TOTAL');
	$cabecalho[] = 'c,c,e,e,e,c,c,c';
	$cabecalho[] = '6%,10%,,15%,10%,8%,8%,8%';
	$cabecalho[] = '98%';
	
	
	//entra com o produto e mostrar quais forma as ultimas compras, data, fornecedor e preço por ordem decrescente
	$sql = selecionar('listacompra,produto,compra.entidade','comp_tx_status,list_tx_status',"encerrado,ativo",
					  "AND comp_nb_entidade=enti_nb_id $extra ORDER BY comp_tx_dataFinaliza DESC",0);
						
						
	while($a = carrega_array($sql)){
		$sql_user_setor = selecionar('user.setor', 'user_nb_id, seto_nb_id',"$a[comp_nb_userAutoriza],$a[comp_nb_setor]");
		$a_user_setor = carrega_array($sql_user_setor);
		
		$valores[] = array(++$j,data($a[comp_tx_dataFinaliza],1),$a[prod_tx_nome],$a[enti_tx_nome],$a_user_setor[seto_tx_nome],$a[list_tx_qtde],
							mostra_valor($a[list_tx_valor]),mostra_valor($a[list_tx_valor]*$a[list_tx_qtde]));
		
		$valor_total += ($a[list_tx_valor]*$a[list_tx_qtde]);
	}
	
	$valores[] = array('','','','','','','<b>TOTAL:</b>',mostra_valor($valor_total));
	
	echo"<br>";
	
	grid::gerar($cabecalho,$valores);
}



function index(){

	cabecalho('Histórico de Compra por Produto',2);
	
	cactux::abre_form('blank');
	
	//CAMPOS
	$c[] = cactux::campo('Data Inicial:','data1','',1,MASCARA_DATA);
	$c[] = cactux::campo('Data Fim:','data2','',1,MASCARA_DATA);
	$c[] = cactux::combo_net('Produto:','produto','','',5,array('busca_div.php?c=produto','busca_net.php?c=produto'),"onFocus=abre_proximo('div_produto_',".($i+1).")");
	//$c[] = cactux::combo_bd('!Produto:','produto','','',3,'produto','',"1  ORDER BY prod_tx_nome");
	
	//BOTOES
	$buscar = cactux::botao_submit('Gerar Relatório',2,'layout_relatorio');
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($buscar);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	rodape();
}

CONTROLE();
?>